Skip to main content
GET
/
get-vessel-location
Get Vessel Location
curl --request GET \
  --url https://datadocked.com/api/vessels_operations/get-vessel-location \
  --header 'x-api-key: <api-key>'
{
  "detail": {
    "name": "<string>",
    "imo": "<string>",
    "mmsi": "<string>",
    "latitude": "<string>",
    "longitude": "<string>",
    "etaUtc": "<string>",
    "atdUtc": "<string>",
    "course": "<string>",
    "heading": "<string>",
    "speed": "<string>",
    "draught": "<string>",
    "navigationalStatus": "<string>",
    "destination": "<string>",
    "lastPort": "<string>",
    "callsign": "<string>",
    "positionReceived": "<string>",
    "updateTime": "<string>",
    "unlocodeDestination": "<string>",
    "unlocodeLastport": "<string>",
    "typeSpecific": "<string>",
    "dataSource": "<string>"
  }
}
Retrieve real-time vessel position including coordinates, speed, course, destination, and navigational status.
Credits: 1 credit per request

Response Fields

  • Position: Latitude, longitude, course, heading, speed
  • Navigation: Navigational status, draught, destination
  • Timing: ETA, ATD, position received timestamp
  • Port Info: Last port, destination UN/LOCODE
  • Source: Data source (Terrestrial or Satellite)
Position data is updated in real-time from AIS signals. The dataSource field indicates whether the position was received via terrestrial or satellite AIS.

Authorizations

x-api-key
string
header
required

Your personal API key found in your profile dashboard at https://datadocked.com/dashboard/my_keys

Query Parameters

imo_or_mmsi
string
required

The IMO or MMSI number of the vessel you want to query.

Response

Successful response with vessel location

detail
object